curl --request PUT \
--url https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid}"
payload = { "enabled": True }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid}"
payload := strings.NewReader("{\n \"enabled\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"enabled": true,
"name": "Phrase Language AI (Google Translate)",
"terminologySource": "GLOSSARY",
"type": "GOOGLE_V3_TRANSLATE",
"uid": "B85nrNc1rGdxIsjJv3zH3o"
}Enable or disable an engine of Language AI profile
Sets the enabled state of a single MT engine attached to the profile. The call is idempotent. Engine UIDs are returned in the engines array of the profile. Enabling an engine type that is not allowed for the organization fails with 400.
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid}"
payload = { "enabled": True }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid}"
payload := strings.NewReader("{\n \"enabled\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/{engineUid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"enabled": true,
"name": "Phrase Language AI (Google Translate)",
"terminologySource": "GLOSSARY",
"type": "GOOGLE_V3_TRANSLATE",
"uid": "B85nrNc1rGdxIsjJv3zH3o"
}Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Profile UID. This is a Language AI profile uid, not a machine translate settings uid; for MT-engine settings operations, use GET/PUT/DELETE /api2/v1/machineTranslateSettings/{mtsUid} instead.
UID of an engine attached to the profile
Body
Engine update request
Request to enable or disable an MT engine of a Language AI profile.
Whether the engine should be enabled
true
Response
OK
An MT engine attached to a Language AI profile.
Whether the engine is enabled. The engine is still present in the parent profile's engines array when this is false - a disabled engine is a different finding from an engine not existing at all.
true
Display name of the engine
"Phrase Language AI (Google Translate)"
Terminology resource this engine can use for glossary matching
NONE, GLOSSARY, TERM_BASE "GLOSSARY"
Engine type identifier
"GOOGLE_V3_TRANSLATE"
Unique identifier of the engine
"B85nrNc1rGdxIsjJv3zH3o"
Was this page helpful?